//===================================================================================
// Microsoft patterns & practices
// Composite Application Guidance for Windows Presentation Foundation and Silverlight
//===================================================================================
// Copyright (c) Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//===================================================================================
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===================================================================================
using System.Windows.Controls;
using EventAggregation.Infrastructure;
using Microsoft.Practices.Composite.Events;
using Microsoft.Practices.Composite.Presentation.Events;

namespace HelloWorldModule.Views
{
    /// <summary>
    /// Interaction logic for HelloWorldView.xaml
    /// </summary>
    public partial class HelloWorldView : UserControl
    {
        private IEventAggregator _eventAggregator;
        public HelloWorldView(IEventAggregator eventAggregator)
        {
            _eventAggregator = eventAggregator;
            InitializeComponent();
///            this.Message.Text = "Hello New Hampshire";

            _eventAggregator.GetEvent<PodcastEpisodeCollectedEvent>()
                .Subscribe(OnPodcastEpisodeCollected, ThreadOption.UIThread,
                false, episode => episode.MimeType == "audio/mp3");
        }

        public void OnPodcastEpisodeCollected(CollectedPodcastEpisode episode)
        {
            this.Message.Text = episode.MimeType + " @ " + episode.MediaURL;
        }
    }
}

#if false // backup code for event aggregator
        private IEventAggregator _eventAggregator;
        public HelloWorldView(IEventAggregator eventAggregator)
        {
            InitializeComponent();
            this.Message.Text = "Hello New Hampshire";
            _eventAggregator = eventAggregator;

            _eventAggregator.GetEvent<PodcastEpisodeCollectedEvent>()
                .Subscribe(OnPodcastEpisodeCollected, ThreadOption.UIThread,
                false, episode => episode.MimeType == "audio/mp3");
        }

        public void OnPodcastEpisodeCollected(CollectedPodcastEpisode episode)
        {
            this.Message.Text = episode.MimeType + " @ " + episode.MediaURL;
        }
#endif