﻿using System.ComponentModel;
using System.Xml.Linq;

namespace SaveAsPodcastModule
{
    public class PodcastEpisodeViewModel : INotifyPropertyChanged
    {
        public PodcastEpisode ItemXml { get; set; }
        public PodcastEpisodeViewModel(PodcastEpisode itemXml)
        {
            ItemXml = itemXml;
        }
        
        public string Title {
            get 
            { 
                return ItemXml.Element("title").Value; 
            }
            set 
            {
                ItemXml.Element("title").Value = value; 
                NotifyPropertyChanged("Title"); 
            }
        }

        public string MediaURL
        {
            get
            {
                return ItemXml.Element("enclosure").Attribute("url").Value;
            }
            set
            {
                ItemXml.Element("enclosure").Attribute("url").Value = value;
                NotifyPropertyChanged("MediaURL");
            }
        }

        public string MimeType
        {
            get
            {
                return ItemXml.Element("enclosure").Attribute("type").Value;
            }
            set
            {
                ItemXml.Element("enclosure").Attribute("type").Value = value;
                NotifyPropertyChanged("MimeType");
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;
        
        // NotifyPropertyChanged raises PropertyChanged event,
        // indicating the property just updated
        public void NotifyPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }  
    }
}
