﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace SaveAsPodcast
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
#if true
        private PodcastEpisodeViewModel _selectedPodcastItems = new PodcastEpisodeViewModel();
#endif
        public Window1()
        {
            InitializeComponent();
#if true
            this.Episodes.DataContext = _selectedPodcastItems;
#endif
        }

        private void PodcastFeeds_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            string feedUrl = ((this.PodcastFeeds.SelectedItem as ListBoxItem).Content as TextBlock).Text;
            var podcastFeedLoader = new PodcastFeedGetter();
            var episodes = podcastFeedLoader.GetEpisodes(feedUrl);
            foreach (var episode in episodes)
            {
                PodcastEpisode pe = PodcastEpisodeBuilder.BuildPodcastEpisode(episode);
                string episodeTitle = episode.Element("title").Value;
                this.Episodes.Items.Add(episodeTitle);
            }
        }

        private void Episodes_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            // grab current item data from Episodes ListBox, 
            // stuff into CollectedEpisodes list
            string episodeName = Episodes.SelectedItem as string;
            if (episodeName == null) return;
            // PROBLEM: how to I get access to other data fields?
            // EXAMPLE: I want the MediaUrl, which is not displayed
            CollectedEpisodes.Items.Add(new TextBlock().Text = episodeName);
        }
    }
}
